

<!DOCTYPE html>
<html class="writer-html5" lang="ru" >
<head>
  <meta charset="utf-8" />
  
<!-- Yandex.Metrika counter -->
<script async="" src="https://mc.yandex.ru/metrika/tag.js"></script>
<script type="text/javascript">
	(function(m,e,t,r,i,k,a){m[i]=m[i]||function(){(m[i].a=m[i].a||[]).push(arguments)};
	m[i].l=1*new Date();k=e.createElement(t),a=e.getElementsByTagName(t)[0],k.async=1,k.src=r,a.parentNode.insertBefore(k,a)})
	(window, document, "script", "https://mc.yandex.ru/metrika/tag.js", "ym");
 
	ym(88079149, "init", {
		 clickmap:true,
		 trackLinks:true,
		 accurateTrackBounce:true,
		 webvisor:true
	});
 </script>
 <noscript><div><img src="https://mc.yandex.ru/watch/88079149" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
 <!-- /Yandex.Metrika counter -->



  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  
  <title>1. Первый запуск (Windows &amp; Linux) &mdash; документация pyOpenRPA v1.3.1 v1.3.1</title>
  

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />

  
  
    <link rel="shortcut icon" href="_static/favicon.ico"/>
  

  
  

  

  
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script src="_static/jquery.js"></script>
        <script src="_static/underscore.js"></script>
        <script src="_static/doctools.js"></script>
        <script src="_static/translations.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    
    <link rel="index" title="Алфавитный указатель" href="genindex.html" />
    <link rel="search" title="Поиск" href="search.html" />
    <link rel="next" title="2. Лицензия &amp; Контакты" href="03_Copyrights_Contacts.html" />
    <link rel="prev" title="Портал документации pyOpenRPA" href="index.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> pyOpenRPA v1.3.1
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Поиск в документации" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        
        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">ОБЩЕЕ</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference external" href="https://pyopenrpa.ru/wiki/guide/index">Выбрать версию</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">1. Первый запуск (Windows &amp; Linux)</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#windows">Первый запуск (Windows)</a></li>
<li class="toctree-l2"><a class="reference internal" href="#linux">Первый запуск (Linux)</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pyopenrpa-windows">Проверить, что pyOpenRPA развернута корректно? (Windows)</a></li>
<li class="toctree-l2"><a class="reference internal" href="#pyopenrpa-linux">Проверить, что pyOpenRPA развернута корректно? (Linux)</a></li>
<li class="toctree-l2"><a class="reference internal" href="#id1">Быстрая навигация</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="03_Copyrights_Contacts.html">2. Лицензия &amp; Контакты</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ РОБОТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Robot/01_Robot.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/02_uidesktop.html">2. Функции UIDesktop</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/03_uiweb.html">3. Функции UIWeb</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/04_keyboard.html">4. Функции Keyboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/05_clipboard.html">5. Функции Clipboard</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/06_mouse.html">6. Функции Mouse</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/07_screen.html">7. Функции Screen</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/08_audio.html">8. Функции Audio</a></li>
<li class="toctree-l1"><a class="reference internal" href="Robot/09_HowToUse.html">9. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ СТУДИЯ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Studio/01_Studio.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="Studio/02_HowToUse.html">2. Как использовать?</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ ОРКЕСТРАТОР</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Orchestrator/01_Orchestrator.html">1. Описание</a></li>
<li class="toctree-l1"><a class="reference internal" href="Orchestrator/02_Defs.html">2. Функции</a></li>
<li class="toctree-l1"><a class="reference internal" href="Orchestrator/03_gSettingsTemplate.html">3. Настройки GSettings (шаблон)</a></li>
<li class="toctree-l1"><a class="reference internal" href="Orchestrator/04_HowToUse.html">4. Как использовать?</a></li>
<li class="toctree-l1"><a class="reference internal" href="Orchestrator/05_UAC.html">5. Права доступа пользователей UAC</a></li>
</ul>
<p class="caption"><span class="caption-text">МОДУЛЬ АГЕНТ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Agent/02_Defs.html">2. Функции Agent</a></li>
</ul>
<p class="caption"><span class="caption-text">ИНСТРУМЕНТЫ</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Tools/02_Defs.html">2. Функции StopSafe</a></li>
</ul>

            
          
        </div>
        
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">pyOpenRPA v1.3.1</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          

















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html" class="icon icon-home"></a> &raquo;</li>
        
      <li>1. Первый запуск (Windows &amp; Linux)</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
          
            <a href="_sources/01_HowToInstall.rst.txt" rel="nofollow"> Просмотреть исходный код страницы</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="windows-linux">
<h1>1. Первый запуск (Windows &amp; Linux)<a class="headerlink" href="#windows-linux" title="Ссылка на этот заголовок">¶</a></h1>
<p>Готовы испытать всю мощь перспективных технологий?</p>
<p>Будет очень интересно - начинаем!</p>
<div class="section" id="windows">
<h2>Первый запуск (Windows)<a class="headerlink" href="#windows" title="Ссылка на этот заголовок">¶</a></h2>
<p><strong>Для начала необходимо выполнить следующие действия:</strong></p>
<ul class="simple">
<li><p>Скачать репозиторий pyOpenRPA c главной страницы <a class="reference external" href="https://pyopenrpa.ru/">https://pyopenrpa.ru/</a> (кнопка «Скачать»)</p></li>
<li><p>Распаковать пакет куда угодно!</p></li>
</ul>
<p><strong>ВСЁ - Развертывание pyOpenRPA в Windows завершено! :)</strong></p>
<p>Также доступен вариант по развертыванию pyOpenRPA в уже существующие проекты Python 3.7+ с помощью команды pip install pyOpenRPA.</p>
<p>Возникли трудности? Рекомендуем обратиться в центр поддержки клиентов pyOpenRPA. Контакты см. здесь: <a class="reference internal" href="03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
</div>
<div class="section" id="linux">
<h2>Первый запуск (Linux)<a class="headerlink" href="#linux" title="Ссылка на этот заголовок">¶</a></h2>
<p><strong>Для начала необходимо выполнить следующие действия:</strong></p>
<p>Вариант 1 (быстрый)
- Развернуть !терминальную! чистую ОС linux (например, Ubuntu)
- Переместить папку git://Utils/Configure/ubuntu-kde на linux машину
- Выполнить в терминале: ./configure.sh
- Следовать инструкциям после запуска
- Автоматическая настройка займет около 8 минут при наличии интернета со средней скоростью в 20 мб./сек.</p>
<p>Вариант 2 (длительный)
- Скачать репозиторий pyOpenRPA c главной страницы <a class="reference external" href="https://pyopenrpa.ru/">https://pyopenrpa.ru/</a> (кнопка «Скачать»)
- Распаковать пакет куда угодно!
- scrot: sudo apt-get scrot (компонент для извлечения скриншотов. pyOpenRPA.Robot.Screen)
- xclip: sudo apt-get install xclip (компонент для работы с буфером обмена. pyOpenRPA.Robot.Clipboard)
- setxkbmap: apt-get install x11-xkb-utils (компонент для взаимодействия с клавиатурой, <a class="reference external" href="https://command-not-found.com/setxkbmap">https://command-not-found.com/setxkbmap</a>)</p>
<p><strong>ВСЁ - Развертывание pyOpenRPA в Linux завершено! :)</strong></p>
<p>Также доступен вариант по развертыванию pyOpenRPA в уже существующие проекты Python 3.7+ с помощью команды pip install pyOpenRPA.</p>
<p>Возникли трудности? Рекомендуем обратиться в центр поддержки клиентов pyOpenRPA. Контакты см. здесь: <a class="reference internal" href="03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
</div>
<div class="section" id="pyopenrpa-windows">
<h2>Проверить, что pyOpenRPA развернута корректно? (Windows)<a class="headerlink" href="#pyopenrpa-windows" title="Ссылка на этот заголовок">¶</a></h2>
<p>В папке pyOpenRPA запустить интерпретатор Python</p>
<ul class="simple">
<li><p>x32 Python (GIT\Resources\WPy32-3720\python-3.7.2\python.exe)</p></li>
<li><p>x64 Python (GIT\Resources\WPy64-3720\python-3.7.2.amd64\python.exe)</p></li>
</ul>
<p><strong>Платформа pyOpenRPA успешно развернута корректно. если интерпретаторы python 3.7.2 были запущены без проблем (см. скриншот).</strong></p>
<img alt="cb5dec8cecafa7d64f6cd14b2672acce.png" src="_images/cb5dec8cecafa7d64f6cd14b2672acce.png" />
<p>Возникли трудности? Рекомендуем обратиться в центр поддержки клиентов pyOpenRPA. Контакты см. здесь: <a class="reference internal" href="03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
</div>
<div class="section" id="pyopenrpa-linux">
<h2>Проверить, что pyOpenRPA развернута корректно? (Linux)<a class="headerlink" href="#pyopenrpa-linux" title="Ссылка на этот заголовок">¶</a></h2>
<p>В папке pyOpenRPA запустить интерпретатор Python</p>
<ul class="simple">
<li><p>x64 Python (./GIT/Resources/LPy64-3105/bin/python3.10)</p></li>
<li><p>выполнить вход на страницу оркестратора (<a class="reference external" href="http://localhost:1024">http://localhost:1024</a>). Логин, установленный по-умолчанию: rpa00 (будет работать в том случае, если при настройке ./configure.sh указывали такую же УЗ). В остальных случаях требуется изменение настроек.</p></li>
</ul>
<p><strong>Платформа pyOpenRPA успешно развернута корректно, если интерпретатор python 3.10 был запущен без проблем.</strong></p>
<p>Возникли трудности? Рекомендуем обратиться в центр поддержки клиентов pyOpenRPA. Контакты см. здесь: <a class="reference internal" href="03_Copyrights_Contacts.html#copyrights-contacts"><span class="std std-ref">2. Лицензия &amp; Контакты</span></a></p>
</div>
<div class="section" id="id1">
<h2>Быстрая навигация<a class="headerlink" href="#id1" title="Ссылка на этот заголовок">¶</a></h2>
<ul class="simple">
<li><p><a class="reference external" href="https://t.me/pyOpenRPA">Сообщество pyOpenRPA (telegram)</a></p></li>
<li><p><a class="reference external" href="https://tenchat.ru/iMaslov?utm_source=19f2a84f-3268-437f-950c-d987ae42af24">Сообщество pyOpenRPA (tenchat)</a></p></li>
<li><p><a class="reference external" href="https://vk.com/pyopenrpa">Сообщество pyOpenRPA (вконтакте)</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru/Index/pyOpenRPA_product_service.pdf">Презентация pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://pyopenrpa.ru">Портал pyOpenRPA</a></p></li>
<li><p><a class="reference external" href="https://gitlab.com/UnicodeLabs/OpenRPA">Репозиторий pyOpenRPA</a></p></li>
</ul>
<p>		.. v1.3.1 replace:: v1.3.1</p>
<p></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
        <a href="03_Copyrights_Contacts.html" class="btn btn-neutral float-right" title="2. Лицензия &amp; Контакты" accesskey="n" rel="next">Следующая <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
        <a href="index.html" class="btn btn-neutral float-left" title="Портал документации pyOpenRPA" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Предыдущая</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>
        &#169; Copyright 2022, ООО &#34;ОПЕН РПА&#34;.

    </p>
  </div>
    
    
    
    Собрано при помощи <a href="https://www.sphinx-doc.org/">Sphinx</a> с использованием
    
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">темы,</a>
    
    предоставленной <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>
        </div>
      </div>

    </section>

  </div>
  

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>